nerr_handle(3)

NAME
nerr_handle

SYNOPSIS
#include <util/neo_err.h> int nerr_handle (NEOERR **err, NERR_TYPE type);

ARGUMENTS
err - pointer to a pointer NEOERR
type - the NEOERR type, as registered with nerr_register

DESCRIPTION
nerr_handle is a convenience function. It is the equivalent of nerr_match, but it will also deallocate the error chain on a match.

SEE ALSO
nerr_error_traceback(3), nerr_pass(3), nerr_error_string(3), defined(3), nerr_pass_ctx(3), nerr_passf(3), nerr_init(3), nerr_match(3), nerr_log_error(3), nerr_ignore(3), nerr_register(3), nerr_handle